Rotate Webhook Secret
Replace a webhook endpoint's signing secret.
Replace a webhook endpoint's signing secret.
Scope: email_testing.webhooks.write
Path Parameters
idstringrequiredThe ID of the webhook endpoint, as returned by List Webhooks or when you create the webhook.
Sample Request
Request
curl -X POST "https://api.maileroo.com/v1/email-testing/webhooks/b574649c-9f0c-4077-9b13-c86e3c2840ee/rotate" \
-H "Authorization: Bearer roo_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" \
-H "Content-Type: application/json"Sample Response
The response is wrapped in a data object.
Response
{
"data": {
"id": "b574649c-9f0c-4077-9b13-c86e3c2840ee",
"url": "https://example.com/hooks",
"events": [
"message.received"
],
"secret": "new-64-lowercase-hex-secret",
"status": "active",
"created_at": "2025-01-01T12:00:00Z"
}
}Errors
404 Not Found— the resource does not exist or is not owned by the account.